Subject: Re: bug#400: 23.0.60; C-h v should pick up lispified name in Customize

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Oct 2021 09:05:55 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 21 Oct 2021 12:45:15 -0700
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> No, you can customize it directly from `customize-group'.
> >
> > When you do, I'm okay with fully expanding the doc string of the
> > variable which you are customizing from the groups buffer.  Would that
> > solve the issue at hand?
> 
> I don't think I understand what this proposal means.  Could you perhaps
> spell it out more explicitly?

To customize a variable from the groups buffer, you click or type RET
on the arrow to expand its customization form, right?  However, the
doc string of the variable is still shown in its one-line variant.
I'm saying that showing the full doc string as result of that could be
a sufficient solution.

> >> But I'm not sure what you mean by "complicating commands" given that the
> >> proposal AFAIU is to introduce a specific `customize-describe-variable'
> >> bound to `C-h v' that handles also the unlispified names.
> >
> > How would you implement that without complicating the command?  The
> > unlispified name is just several English words.
> 
> Maybe we are miscommunicating.  I mean that if we add a new command
> `customize-describe-variable', it won't complicate `describe-variable'.

But then you usurp the "C-h v" key binding for another command, and
the user cannot invoke the original Help command easily?

> >> For example, "wontfix" could also be used meaning: "yes, it's an issue
> >> but it's not one we consider worth fixing, if you care enough send a
> >> patch and we will reconsider".
> >
> > Exactly.
> 
> This message has been received; I'll try to apply it with the necessary
> restraint.  I expect that you will let me know if I don't.  ;-)

Thanks, will certainly do (although I don't expect that to be needed
too much).